Summary:        Line wrapping module
Name:           perl-Text-WrapI18N
Version:        0.06
Release:        33
License:        GPL+ or Artistic

URL:            https://metacpan.org/release/Text-WrapI18N
Source0:        https://cpan.metacpan.org/authors/id/K/KU/KUBOTA/Text-WrapI18N-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl-generators perl(Exporter) perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Test::Simple) perl(Text::CharWidth) >= 0.02 perl(strict)
BuildRequires:  perl(vars) perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%{?perl_default_filter}

%description
Line wrapping module with support for multibyte, fullwidth,and
combining characters and languages without whitespaces between words

%package_help

%prep
%autosetup -p1 -n Text-WrapI18N-%{version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%{perl_vendorlib}/Text

%files help
%doc README Changes
%{_mandir}/man3/Text::WrapI18N.3pm*

%changelog
* Tue Dec 3 2019 mengxian <mengxian@huawei.com> - 0.06-33
- Package init
